| Visioscan Set SDK Libraries 1.3.5 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
SensorLamps Class Reference

Helper to encapsulate the sensor lamps state. More...

`#include <SensorLamps.h>`

## Public Member Functions
| SensorLamps ()
| Base constructor.
| SensorLamps (LEDCOLOR pLed1, LEDCOLOR pLed2, LEDCOLOR pLed3, LEDCOLOR pLed4)
| Copy constructor.
LEDCOLOR | GetLed1 ()
| Gets the LED1 status.
void | SetLed1 (LEDCOLOR pColor)
| Sets the LED1 status.
LEDCOLOR | GetLed2 ()
| Gets the LED2 status.
void | SetLed2 (LEDCOLOR pColor)
| Sets the LED status.
LEDCOLOR | GetLed3 ()
| Gets the LED3 status.
void | SetLed3 (LEDCOLOR pColor)
| Sets the LED3 status.
LEDCOLOR | GetLed4 ()
| Gets the LED4 status.
void | SetLed4 (LEDCOLOR pColor)
| Sets the LED4 status.

## Detailed Description

Helper to encapsulate the sensor lamps state.

## Constructor & Destructor Documentation

## ◆ SensorLamps() [1/2]

SensorLamps::SensorLamps | ( |  | ) |

Base constructor.

## ◆ SensorLamps() [2/2]

SensorLamps::SensorLamps | ( | LEDCOLOR | pLed1,
|  | LEDCOLOR | pLed2,
|  | LEDCOLOR | pLed3,
|  | LEDCOLOR | pLed4 )

Copy constructor.

Parameters

  pLed1 | the Led1 status as a string
  pLed2 | the Led2 status as a string
  pLed3 | the Led3 status as a string
  pLed4 | the Led4 status as a string

## Member Function Documentation

## ◆ GetLed1()

LEDCOLOR SensorLamps::GetLed1 | ( |  | ) |

Gets the LED1 status.

Returns
  LED1 status as an int

## ◆ GetLed2()

LEDCOLOR SensorLamps::GetLed2 | ( |  | ) |

Gets the LED2 status.

Returns
  LED2 status as an int

## ◆ GetLed3()

LEDCOLOR SensorLamps::GetLed3 | ( |  | ) |

Gets the LED3 status.

Returns
  LED3 status as an int

## ◆ GetLed4()

LEDCOLOR SensorLamps::GetLed4 | ( |  | ) |

Gets the LED4 status.

Returns
  LED4 status as an int

## ◆ SetLed1()

void SensorLamps::SetLed1 | ( | LEDCOLOR | pColor | ) |

Sets the LED1 status.

Parameters

  pColor | The led1 color to be set

## ◆ SetLed2()

void SensorLamps::SetLed2 | ( | LEDCOLOR | pColor | ) |

Sets the LED status.

Parameters

  pColor | The led2 color to be set

## ◆ SetLed3()

void SensorLamps::SetLed3 | ( | LEDCOLOR | pColor | ) |

Sets the LED3 status.

Parameters

  pColor | The led3 color to be set

## ◆ SetLed4()

void SensorLamps::SetLed4 | ( | LEDCOLOR | pColor | ) |

Sets the LED4 status.

Parameters

  pColor | The led4 color to be set

The documentation for this class was generated from the following files:

- SensorLamps.h
- SensorLamps.cpp